.no-margin{
  margin:0px !important;
}
.lh-35{
  line-height: 35px;
}
.card-widget ul{
  margin: 0px;
  padding: 0px;
  list-style: none;
}
.card-footer .card-widget ul{
  width: 100%;
}
.card-footer .card-widget ul>li{
  width: 50%;
}
.card-widget li{
  float: left;
  padding: 7px;
}
.card-widget{
  display: grid;
  place-items: center;
}
.check-header{
  margin: auto;
  position: relative;
}
.bold{
  font-weight: bold;
}
.custome-file{
  width: 100%;
}
.custom-file-input{
  cursor:pointer;
}
.pd-5{
  padding: 5px;
}
.body-scroll{
  max-height: 460px;
  overflow-y: scroll;
  padding: 0px;
}
.body-scroll-second{
  max-height: 580px;
  overflow-y: scroll;
  padding: 0px;
}
.pull-right{float:right}
.hidden{
  display: none;
}
.no-padding{
  padding: 0px !important;
}
.clone-hide,
.card-reponse{
  display: none;
}
.card-reponse.active,
.clone-hide.active{
  display: block;
}
.bold-text{
  font-weight: bold;
}
.no-margin{
  margin: 0px;
}
.form-style-none{
  width: auto;
  border: 0px;
  background: none;
}
/* .text-sm .select2-container--default .select2-selection--single,
 select.form-control-sm ~ .select2-container--default .select2-selection--single {
  height: 38px;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
  height: 38px;
  width: 26px;
}
.select2-container--default .select2-selection--single .select2-selection__rendered {
  line-height: 38px;
} */
.selectappend::after{
  content:"";
  position: absolute;
  z-index: 100;
  background: rgba(221,221,221,.8);
  top: 0px;
  bottom: 0px;
  width: 100%;
}
.table-select tbody tr.selected{
  background:#007bff;
}
.table-select tbody tr:hover{
  background:#28a745;
}
.table-select tbody tr:hover,
.table-select tbody tr.selected{
  color: #fff;
}
.cursor-pointer,
.table-select tbody tr,
.table-with-checkbox input[type='checkbox']{
  cursor: pointer;
}
.table-counter{
  counter-reset: link;
}
.table-counter>tbody>tr{
  counter-increment: link;
}
.table-counter>tbody>tr:not(.null)>td:first-child:not(.dataTables_empty)::before,
.table-counter>tbody>tr>td:not(.dataTables_empty):first-child::before {
  content: counter(link);
}
.content-cloud,
.content-cloud>.container-fluid,
.content-cloud>.container-fluid>.row>[class^="col"]{
  padding: 0px !important;
}
.content-cloud>.container-fluid>.row{
  margin: 0px;
}
.table th.number{
  width: 25px;
}
.no-radius{
  border-radius: 0px !important;
}
.col-rel{
  position: relative;
}
.card-right{
  position: absolute;
  right: 0px;
  top: 0px;
  bottom: 0px;
}
.card-body > .table > thead > tr > td,
.card-body > .table > thead > tr > th,
.card-body > form > .table > thead > tr > th,
.card-body > .table > tbody > tr.null > td {
  text-align: center;
}
.input-option{
  display: none;
  height: 0px;
}
.input-option.active{
  display: block;
  height: auto;
}
.checkall>span{
  position: relative;
}
.checkall>span:after{
  content: "";
  position: absolute;
  left: 0px;
  right: 0px;
  height: 100%;
}
.col-group-full .input-group-text{
  width: 100%;
}
.col-group-full{
  padding: 0px;
}
.card-split-row{
  border-bottom: 1px solid #dfdfdf;
  margin-left: -20px;
  margin-right: -20px;
  margin-bottom: 15px;
}
.p-in-4{
  padding: 4px !important;
}
.select2-container{ width: 100% !important; }
.dropdown-menu>li:not(.user-footer)>a{
  width: 100%;
}
.default-textarea{
  max-height:55px;
  min-height:55px;
}
.trigger-h105{
  max-height:108px;
  min-height:108px;
}
.col-absolut-right{
  position: absolute;
  right: 5px;
  top: 73px;
  bottom: 20px;
}
.col-absolut-right>.card{
  height: 100%;
}
.text-warning {color: #ffc107;}
.text-success{ color:#28a745}
.w-15{
  width: 150px;
}
.w-10{
  width: 100px;
}
.w-5{
  width: 50px;
}
.w-20{
  width: 200px;
}
.form-group{
  margin-bottom: .5rem;
}
.br-1{
  border-right: 1px solid #e0e4e7;
}
.bl-0{
  border-left: 0px !important;
}
.pr{float: right;}
.tabs-h:not(.active){
  border: 2px solid;
}
.border-primary{
  border-color: #007bff;
}
.tabs-h.active{
  background: #007bff !important;
  color: #fff !important;
  border-radius: 0px !important;
}
table.dataTable{
  width: 100%!important;
}
.table-responsive-sm .dataTables_wrapper label{
  margin-bottom: 0px !important;
}
.form-group-sm-mb .form-group{
  margin-bottom: .25rem !important;
}
body {
	overflow-x: hidden;
}
.wi-8{
  width: 80px;
}
.form-control:focus{
  border: 2px solid #007bff !important;
}
.text-bold{
  font-weight: bold;
}
.mmh-5{
  min-height: 440px !important;
  max-height: 480px !important;
}
.mmh-5 label{
  margin: 0px !important;
}
.w-24{
  width: 240px !important;
}
label.error{
	position: absolute;
  right: 0px;
  z-index: 3;
  top: 0px;
  margin: 0px;
  background: #E04B4A;
  color: #fff !important;
  text-align: center;
  font-weight: normal !important;
  font-size: .8em;
  line-height: 31px;
  padding: 0px 8px;
}
div.dataTables_wrapper div.dataTables_processing {
  background: #ffc107 !important; 
  font-weight: bold !important;
}
.valign-middle{
  vertical-align: middle;
}